#include <iostream>
using namespace std;
int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    int t;
    cin>>t;
    int n[10],m[10],k[10];
    for(int j=0;j<t;j++){
    cin>>n[j]>>m[j]>>k[j];
    }
    for(int j=0;j<t;j++){
        if(n[j]==3){
            if(k[j]==2){
                if(m[j]<4){
                    cout<<"Nie"<<endl;
                }else{
                    cout<<"Tak"<<endl;
                }
            }else if(k[j]==3){
                if(m[j]<3){
                    cout<<"Nie"<<endl;
                }else{
                    cout<<"Tak"<<endl;
                }
            }else{
                if(m[j]<6){
                    cout<<"Nie";
                }else{
                    cout<<"Tak";
                }
            }
        }else{
                int s=0;
                for(int i=0;i<n[j];i++){
                    s+=i+1;
                }
                if(s<m[j]){
                    cout<<"Nie"<<endl;
                }else{
                    cout<<"Tak"<<endl;
                }
            }
    }

 return 0;
}